import javalib.worldimages.*;
import java.awt.Color;

public class Pictures
{
    static WorldImage checker (WorldImage pic1, WorldImage pic2)
    {
        WorldImage row1 = pic1.beside(pic2);
        WorldImage row2 = pic2.beside(pic1);
        return row1.above(row2);
    }

    // checkerboard2 : color (topLeft), color (topRight), int (size) -> WorldImage
    // produces a 2x2 grid of solid colored squares, each size x size
    static WorldImage checkerboard2 (Color topLeft, Color topRight, int size)
    {
        // topLeft    a Color
        // topRight   a Color
        // size       an int
        WorldImage topLeftSquare = AImage.makeRectangle (size, size, topLeft, Mode.FILLED);
        WorldImage topRightSquare = AImage.makeRectangle (size, size, topRight, Mode.FILLED);
        return Pictures.checker (topLeftSquare, topRightSquare);
    }

}
